## org.mortbay.jaas
Class JAASPrincipal

    java.lang.Object
      |
      +--org.mortbay.jaas.JAASPrincipal

All Implemented Interfaces:
  java.security.Principal, java.io.Serializable

Direct Known Subclasses:
  JAASRole

public class JAASPrincipal
extends java.lang.Object
implements java.security.Principal, java.io.Serializable

JAASPrincipal

Impl class of Principal interface.

#### Notes

#### Usage

###

###

###

###

###

    See Also:Serialized Form

    Constructor Summary

    JAASPrincipal(java.lang.String userName)

    Method Summary

     boolean
    equals(java.lang.Object p)

     java.lang.String
    getName()

     int
    hashCode()

     java.lang.String
    toString()

    Methods inherited from class java.lang.Object

    getClass, notify, notifyAll, wait, wait, wait

    Constructor Detail

    JAASPrincipal

    public JAASPrincipal(java.lang.String userName)

    Method Detail

    equals

    public boolean equals(java.lang.Object p)

    Specified by:equals in interface java.security.PrincipalOverrides:equals in class java.lang.Object

    hashCode

    public int hashCode()

    Specified by:hashCode in interface java.security.PrincipalOverrides:hashCode in class java.lang.Object

    getName

    public java.lang.String getName()

    Specified by:getName in interface java.security.Principal

    toString

    public java.lang.String toString()

    Specified by:toString in interface java.security.PrincipalOverrides:toString in class java.lang.Object

    Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.